LINUX.ORG.RU

Не устанавливаются программы через apt-get, раньше таким образом все ок было на том же Live USB (16.04)

 ,


0

1

Например для R вот такую кучу ошибок выдал, хотя еще вчера все прекрасно устанавливались. Нет, я ничего не перепутал, инструкция та же, репозитории добавены

ubuntu@ubuntu:~/Downloads$ sudo apt-get install r-base Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: megasync : Depends: libc-ares2 (>= 1.7.4) but it is not going to be installed Depends: libcrypto++9v5 but it is not installable Depends: libmediainfo0v5 (>= 0.7.56) but it is not installable Depends: libqt4-svg (>= 4:4.5.3) but it is not going to be installed Depends: libzen0v5 (>= 0.4.31-2~) but it is not installable r-base : Depends: r-base-core (>= 3.5.3-1xenial) but it is not going to be installed Depends: r-recommended (= 3.5.3-1xenial) but it is not going to be installed Recommends: r-base-html but it is not going to be installed Recommends: r-doc-html but it is not going to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

С -f тоже не ставит

Ответ на: комментарий от amd_amd

Ок а почему оно у меня рут просит? ubuntu@ubuntu:~$ sudo apt update && apt upgrade && apt dist-upgrade Ign:1 cdrom://Ubuntu 16.04.6 LTS _Xenial Xerus_ - Release amd64 (20190227) xenial InRelease Hit:2 cdrom://Ubuntu 16.04.6 LTS _Xenial Xerus_ - Release amd64 (20190227) xenial Release Hit:4 http://archive.ubuntu.com/ubuntu xenial InRelease Hit:5 http://security.ubuntu.com/ubuntu xenial-security InRelease Hit:6 http://archive.ubuntu.com/ubuntu xenial-updates InRelease ** (appstreamcli:12344): CRITICAL **: Error while moving old database out of the way. AppStream cache update failed. Reading package lists... Done Building dependency tree Reading state information... Done 24 packages can be upgraded. Run 'apt list --upgradable' to see them. E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied) E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

allseo777 ()
Ответ на: комментарий от allseo777

Осиль разметку, никто не будет читать простыни неформатированного текста.

Deleted ()
Ответ на: комментарий от allseo777

потому что ты космонавт! я через && написал для сокращения! на самом деле это три отдельные команды которые от sudo запускать надо! и что ты там добавил - какие репы?

amd_amd ★★★★ ()

По-моему, у тебя никогда ничего работать не будет, в принципе.
Ты уже три месяца на форуме, наплодил кучу тем, а лоркод так и не освоил.

athost ★★★★★ ()
Ответ на: комментарий от allseo777

Вводи в начале команду:

sudo -i
и вводи свой пароль.

А уже потом вводи просто команды БЕЗ sudo.

И прочти уже эту ссылку: www.linux.org.ru/help/lorcode.md

anonymous ()
Ответ на: комментарий от allseo777

А тебе и не нужно, но хотя бы на pastebin заливать можешь свои выхлопы? Или даже это не можешь?

xvostostrel ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.